package rcpsp_choco_enumeration;

import org.chocosolver.solver.search.strategy.selectors.variables.VariableSelector;
import org.chocosolver.solver.variables.IntVar;

class Mon_Selecteur implements  VariableSelector<IntVar>{

    @Override
    public IntVar getVariable(IntVar[] variables) {
        

        int taille_domaine_max = 0;
        IntVar var_domaine_max = null;
        for (IntVar sv : variables) {
            int taille = sv.getDomainSize();
            if (taille_domaine_max < taille) 
            {
                taille_domaine_max=sv.getDomainSize();
                var_domaine_max=sv;
            }
        }
        return var_domaine_max; 
    }
}
